Register for the iXsystems Community to get an ad-free experience and exclusive discounts in our eBay Store.

Update from 11.2-U7 to 11.2-U8 to 11.3 / Error on Jails

Western Digital Drives - The Preferred Drives of FreeNAS and TrueNAS CORE

MacGyver

Newbie
Joined
Feb 21, 2020
Messages
1
Dear all,

looks like I screwed myself a littlebit by applying the update path 11.2-U7 to 11.2-U8 to 11.3 through GUI yesterday evening.

Now I have the following symptom:

If I click an Jails I get the following error:
[EFAULT] Error occurred getting activated pool: Please set a mountpoint on freenas-boot/iocage
Code:
Error: Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 897, in get_activated_pool
    pool = ioc.IOCage(skip_jails=True, reset_cache=True).get('', pool=True)
  File "/usr/local/lib/python3.7/site-packages/iocage_lib/iocage.py", line 95, in __init__
    self.pool = PoolAndDataset().get_pool()
  File "/usr/local/lib/python3.7/site-packages/iocage_lib/iocage.py", line 66, in get_pool
    return ioc_json.IOCJson().json_get_value("pool")
  File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_json.py", line 1316, in __init__
    super().__init__(location, checking_datasets, silent, callback)
  File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_json.py", line 428, in __init__
    self.pool, self.iocroot = self.get_pool_and_iocroot()
  File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_json.py", line 571, in get_pool_and_iocroot
    return pool, get_iocroot()
  File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_json.py", line 569, in get_iocroot
    silent=self.silent)
  File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 102, in logit
    callback(content, exception)
  File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 75, in callback
    raise callback_exception(message)
RuntimeError: Please set a mountpoint on freenas-boot/iocage

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 130, in call_method
    io_thread=False)
  File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1091, in _call
    return await run_method(methodobj, *args)
  File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1015, in _run_in_conn_threadpool
    return await self.run_in_executor(self.__ws_threadpool, method, *args, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1003, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 964, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 899, in get_activated_pool
    raise CallError(f'Error occurred getting activated pool: {e}')
middlewared.service_exception.CallError: [EFAULT] Error occurred getting activated pool: Please set a mountpoint on freenas-boot/iocage


Under Storage > Pools I could see that there is still a dataset jail mentioned:
2020-02-22_082452.jpg


So maybe there is still something...

Are there any suggestions?

Thanks.

Best regards,
MacGyver
 

Mark Adkins

Neophyte
Joined
Jun 19, 2016
Messages
4
That location is for warden jails. You need to go back to 11.2 and convert / recreate all your warden jails to iocage jails.
 
Top